Auth
Auth Email Password Signup
Register a new account with a email and password.
POST
Register a new account with a email and password.
cookie
storyden-session<token>invitation_id?stringUnique invitation ID.
Format
xidapplication/json- body
email*EmailAddressA valid email address.
password*stringhandle?AccountHandleThe unique @ handle of an account.
OK
application/json- response
id*stringcurl -X POST 'https://example.com/api/auth/email-password/signup' \ -H 'Content-Type: application/json' \ -d '{ "email": "string", "password": "string"}'Example Response
{ "id": "string"}Auth Email Password Signin POST
Sign in to an existing account with a email and password.
Auth Email Signin POST
Sign in to an existing account with an email and optional password. The behaviour of this endpoint depends on how the instance is configured. If email+password is the preferred method, a cookie is returned on success but if magic links are preferred, the endpoint will start the code flow.